[Fakeroot-commits] [SCM] fakeroot branch, upstream, updated. debian/1.14.3-200-gb232f8a

Clint Adams schizo at debian.org
Tue Aug 23 13:06:14 UTC 2011


The following commit has been merged in the upstream branch:
commit 8a5b67f060f5bafa0224e68341b11bd3c42e5561
Author: Clint Adams <schizo at debian.org>
Date:   Fri Dec 12 19:01:04 2008 -0500

    Tweak testsuite for robustness.

diff --git a/test/defs.in b/test/defs.in
index 0b4b42b..50d07da 100644
--- a/test/defs.in
+++ b/test/defs.in
@@ -8,5 +8,5 @@ LDPRELOADVAR=@LDPRELOADVAR@
 
 run_fakeroot ()
 {
-  ../scripts/fakeroot${tcp} -f ../faked${tcp} -l ../.libs/${libfakeroot} "$@"
+  tmp="$tmp" $PWD/../scripts/fakeroot${tcp} -f $PWD/../faked${tcp} -l $PWD/../.libs/${libfakeroot} "$@"
 }
diff --git a/test/t.chmod_dev b/test/t.chmod_dev
index bd4f9e0..27baa76 100755
--- a/test/t.chmod_dev
+++ b/test/t.chmod_dev
@@ -1,5 +1,5 @@
 #!/bin/sh
-. defs || exit 1
+. ./defs || exit 1
 
 mkdir $tmp
 run_fakeroot -- \
diff --git a/test/t.echoarg b/test/t.echoarg
index fe6fc91..669f72a 100755
--- a/test/t.echoarg
+++ b/test/t.echoarg
@@ -1,5 +1,5 @@
 #!/bin/sh
-. defs || exit 1
+. ./defs || exit 1
 
 run_fakeroot -- \
  ${posixshell} -c 'RET="$('"${srcdir}"'/echo_arg 3 a b c d e)"; echo RET=$RET; test "$RET" = "b"'
diff --git a/test/t.falsereturn b/test/t.falsereturn
index a76e5de..a7d2b78 100755
--- a/test/t.falsereturn
+++ b/test/t.falsereturn
@@ -1,5 +1,5 @@
 #!/bin/sh
-. defs || exit 1
+. ./defs || exit 1
 
 if run_fakeroot -- false
 then
diff --git a/test/t.mknod b/test/t.mknod
index 6ce889c..58587a5 100755
--- a/test/t.mknod
+++ b/test/t.mknod
@@ -1,5 +1,5 @@
 #!/bin/sh
-. defs || exit 1
+. ./defs || exit 1
 
 run_fakeroot -- \
   ${posixshell} -c 'mknod hda3 b 3 1; ls -l hda3' | grep "^b"
diff --git a/test/t.no_ld_preload b/test/t.no_ld_preload
index 5e1c589..44d01ac 100755
--- a/test/t.no_ld_preload
+++ b/test/t.no_ld_preload
@@ -1,5 +1,5 @@
 #!/bin/sh
-. defs || exit 1
+. ./defs || exit 1
 
 mkdir $tmp
 run_fakeroot -- \
diff --git a/test/t.no_ld_preload_link b/test/t.no_ld_preload_link
index a489a40..8a5a0c2 100755
--- a/test/t.no_ld_preload_link
+++ b/test/t.no_ld_preload_link
@@ -1,5 +1,5 @@
 #!/bin/sh
-. defs || exit 1
+. ./defs || exit 1
 mkdir $tmp
 run_fakeroot -- \
  ${posixshell} -c "touch $tmp/justafile &&
diff --git a/test/t.option b/test/t.option
index b150116..c85edd7 100755
--- a/test/t.option
+++ b/test/t.option
@@ -1,4 +1,4 @@
 #!/bin/sh
-. defs || exit 1
+. ./defs || exit 1
 
 run_fakeroot -- echo -1 -2 | grep -- -1
diff --git a/test/t.tar b/test/t.tar
index 5d92c75..024564e 100755
--- a/test/t.tar
+++ b/test/t.tar
@@ -1,4 +1,4 @@
 #!/bin/sh
-. defs || exit 1
+. ./defs || exit 1
 
 run_fakeroot -- ${srcdir}/tartest
diff --git a/test/t.touchinstall b/test/t.touchinstall
index ed72c09..4c61599 100755
--- a/test/t.touchinstall
+++ b/test/t.touchinstall
@@ -1,7 +1,9 @@
 #!/bin/sh
-. defs || exit 1
+. ./defs || exit 1
+
+mkdir $tmp
 
 run_fakeroot -- \
- ${posixshell} -c "touch tmp/iamnotuser; ls -al tmp/iamnotuser" | grep root
+ ${posixshell} -c "touch $tmp/iamnotuser; ls -al $tmp/iamnotuser" | grep root
 TEMP=$?
 exit $TEMP
diff --git a/test/t.truereturn b/test/t.truereturn
index aa1ea9f..00e96fd 100755
--- a/test/t.truereturn
+++ b/test/t.truereturn
@@ -1,5 +1,5 @@
 #!/bin/sh
-. defs || exit 1
+. ./defs || exit 1
 
 if run_fakeroot -- true
 then
diff --git a/test/tartest b/test/tartest
index d0d2a12..dd65a80 100755
--- a/test/tartest
+++ b/test/tartest
@@ -1,7 +1,7 @@
 #!/bin/sh
 set -e
 echo tartest:
-TMP=./tmp
+TMP="$tmp"
 SRCDIR=`cd ${srcdir}; pwd -P`
 PATH=$PATH:/usr/bin/X11
 export PATH

-- 
fakeroot



More information about the Fakeroot-commits mailing list